package com.backendsys.mapper.Med;

import org.apache.ibatis.annotations.Mapper;

import com.backendsys.entity.Med.MedMyMaterialDTO;

import java.util.List;
import java.util.Map;

@Mapper
public interface MedMyMaterialMapper {
    List<Map<String, Object>> queryMyMaterialList(MedMyMaterialDTO medMyMaterialDTO);
    Map<String, Object> queryMyMaterialDetail(MedMyMaterialDTO medMyMaterialDTO);
    long insertMyMaterial(MedMyMaterialDTO medMyMaterialDTO);
    long updateMyMaterial(MedMyMaterialDTO medMyMaterialDTO);
    long deleteMyMaterial(MedMyMaterialDTO medMyMaterialDTO);
    long deleteMyMaterialBatch(List<Long> ids);
}
